![OrbitalTrajectories.jl](docs/src/assets/logo.svg?raw=true)

| **Documentation**   |  **Tests**     |  Citation| License
|:--------:|:----------------------:|:-----:|:-----:|
|[![](https://img.shields.io/badge/docs-online-blue.svg)](https://dpad.github.io/OrbitalTrajectories.jl/stable/)| [![CI](https://github.com/dpad/OrbitalTrajectories.jl/workflows/CI/badge.svg)](https://github.com/dpad/OrbitalTrajectories.jl/actions) [![codecov](https://codecov.io/gh/dpad/OrbitalTrajectories.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/dpad/OrbitalTrajectories.jl) | [![DOI](https://img.shields.io/badge/Conference%20paper-Padilha%20et%20al%202021-brightgreen)](https://www.researchgate.net/publication/348929030_Modern_Numerical_Programming_with_Julia_for_Astrodynamic_Trajectory_Design) | [![GitHub license](https://img.shields.io/github/license/dpad/OrbitalTrajectories.jl)](LICENSE)

*OrbitalTrajectories.jl is a modern orbital trajectory design, optimisation, and analysis library for Julia, providing methods and tools for designing spacecraft orbits and transfers via high-performance simulations of astrodynamical models.*

---

## Getting Started

Install the package with ```add OrbitalTrajectories``` in Julia's package
mode (run the Julia console and press ```]```, or alternatively ```using Pkg;
Pkg.add("OrbitalTrajectories")```).

To later update to the newest release, simply do ```update OrbitalTrajectories```.

---

## License & References
Distributed under the [Apache License 2.0](LICENSE)

Copyright 2021 Dan Padilha ([dpadilha.com](http://www.dpadilha.com))

If you use OrbitalTrajectories.jl in a scientific project that leads to a publication, we'd appreciate you citing our paper as follows:
```
@inproceedings{OrbitalTrajectories,
  url = {https://www.researchgate.net/publication/348929030_Modern_Numerical_Programming_with_Julia_for_Astrodynamic_Trajectory_Design},
  year = {2021},
  publisher = {AAS/AIAA},
  author = {Padilha, Dan and Dei Tos, Diogene Alessandro and Baresi, Nicola and Kawaguchi, Junichiro},
  title = {Modern Numerical Programming with Julia for Astrodynamic Trajectory Design},
  booktitle = {31st AAS/AIAA Space Flight Mechanics Meeting}
}
```
